@ECHO OFF
CLS
ECHO.
ECHO *********************************************************************
ECHO * NEW95NOS.BAT - This batch file installs new versions of files     *
ECHO * listed in the w95700A.TXT file.                                   *
ECHO *                                                                   *
ECHO * If you haven't restarted your computer to MS-DOS mode,            *
ECHO * press CTRL-C to abort this batch file and restart your computer   *
ECHO * to MS-DOS mode.                                                   *
ECHO *                                                                   *
ECHO * This batch file must be run from the directory where you          *
ECHO * installed the LANtastic network (normally C:\LANTASTI\WIN95).     *
ECHO *                                                                   *
ECHO * Your present copies of these programs will be backed up into a    *
ECHO * .\W95NOSBK directory below your LANtastic directory.              *
ECHO *                                                                   *
ECHO *                                                                   *
ECHO * PRESS ANY KEY TO CONTINUE, OR PRESS CTRL-C TO ABORT.              *
ECHO *********************************************************************
ECHO.
PAUSE
CLS
REM **************************************************
REM ** CHECK TO SEE IF RUN FROM LANTASTIC DIRECTORY **
REM **************************************************
IF NOT EXIST %winbootdir%\system\ATILA.VPE GOTO NOLANT7
IF NOT EXIST LNET32.EXE GOTO NOLANT7
REM ****************************************************
REM ** CHECK TO SEE IF PATCH HAS ALREADY BEEN APPLIED **
REM ****************************************************
IF EXIST .\W95NOSBK\NUL GOTO ALTHERE
MD .\W95NOSBK
GOTO NORM

:ALTHERE
REM ****************************************************
REM ** SECTION FOR IF THE PATCH HAS ALREADY BEEN RUN  **
REM ****************************************************
CLS
ECHO.
ECHO *********************************************************************
ECHO * ## CAUTION ## - It appears that \LANTASTI\WIN95\W95NOSBK already  *
ECHO * exists, which indicates either this same patch or previous patch  *
ECHO * had been applied on this machine. Continuing to apply this patch  *
ECHO * means the files in the \LANTASTI\WIN95\W95NOSBK directory will    *
ECHO * be overwritten.  This is normal if applying an updated patch.     *
ECHO *                                                                   *
ECHO * PRESS ANY KEY TO CONTINUE, OR PRESS CTRL-C TO ABORT.              *
ECHO *********************************************************************
ECHO.
PAUSE

:NORM
CLS
REM ***********************************
REM ** SECTION TO CHECK FOR LOG FILE **
REM ***********************************
IF NOT EXIST w95700A.LOG GOTO NORM1
DEL w95700A.LOG > NUL

:NORM1
:UPAUILIB
REM *****************************
REM ** SECTION FOR AUILIB.DLL  **
REM *****************************
IF NOT EXIST AUILIB.DL_ GOTO BADPATCH
IF NOT EXIST %winbootdir%\SYSTEM\AUILIB.DLL GOTO ERR1AUILIB
COPY %winbootdir%\SYSTEM\AUILIB.DLL .\W95NOSBK\AUILIB.DLL > NUL
COPY AUILIB.DL_ %winbootdir%\SYSTEM\AUILIB.DLL > NUL
ECHO AUILIB.DLL SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPAFSD
COPY AUILIB.DL_ .\INSTALL\AUILIB.DLL > NUL
GOTO UPAFSD

:ERR1AUILIB
ECHO AUILIB.DLL NOT UPDATED >> w95700A.LOG


:UPAFSD
REM *****************************
REM **  SECTION FOR AFSD.VPE   **
REM *****************************
IF NOT EXIST AFSD.VP_ GOTO BADPATCH
IF NOT EXIST %winbootdir%\SYSTEM\AFSD.VPE GOTO ERR1AFSD
COPY %winbootdir%\SYSTEM\AFSD.VPE .\W95NOSBK\AFSD.VPE > NUL
COPY AFSD.VP_ %winbootdir%\SYSTEM\AFSD.VPE > NUL
ECHO AFSD.VPE SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPVLTSERV
COPY AFSD.VP_ .\INSTALL\AFSD.VPE > NUL
GOTO UPVLTSERV

:ERR1AFSD
ECHO AFSD.VPE NOT UPDATED >> w95700A.LOG

:UPVLTSERV
REM *****************************
REM ** SECTION FOR VLTSERV.VPE **
REM *****************************
IF NOT EXIST VLTSERV.VP_ GOTO BADPATCH
IF NOT EXIST %winbootdir%\SYSTEM\VLTSERV.VPE GOTO ERR1VLTSERV
COPY %winbootdir%\SYSTEM\VLTSERV.VPE .\W95NOSBK\VLTSERV.VPE > NUL
COPY VLTSERV.VP_ %winbootdir%\SYSTEM\VLTSERV.VPE > NUL
ECHO VLTSERV.VPE SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPVSVRSNB
COPY VLTSERV.VP_ .\INSTALL\VLTSERV.VPE > NUL
GOTO UPVSVRSNB

:ERR1VLTSERV
ECHO VLTSERV.VPE NOT UPDATED >> w95700A.LOG

:UPVSVRSNB
REM *****************************
REM ** SECTION FOR VSVRSNB.VPE **
REM *****************************
IF NOT EXIST VSVRSNB.VP_ GOTO BADPATCH
IF NOT EXIST %winbootdir%\SYSTEM\VSVRSNB.VPE GOTO ERR1VSVRSNB
COPY %winbootdir%\SYSTEM\VSVRSNB.VPE .\W95NOSBK\VSVRSNB.VPE > NUL
COPY VSVRSNB.VP_ %winbootdir%\SYSTEM\VSVRSNB.VPE > NUL
ECHO VSVRSNB.VPE SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPRESMAN
COPY VSVRSNB.VP_ .\INSTALL\VSVRSNB.VPE > NUL
GOTO UPRESMAN

:ERR1VSVRSNB
ECHO VSVRSNB.VPE NOT UPDATED >> w95700A.LOG


:UPRESMAN
REM *****************************
REM ** SECTION FOR RESMAN.LCA  **
REM *****************************
IF NOT EXIST RESMAN.LC_ GOTO BADPATCH  -dcd here
IF NOT EXIST RESMAN.LCA GOTO ERR1RESMAN
COPY RESMAN.LCA .\W95NOSBK\RESMAN.LCA > NUL
COPY RESMAN.LC_ RESMAN.LCA > NUL
ECHO RESMAN.LCA SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPLANTDOC
COPY RESMAN.LC_ .\INSTALL\RESMAN.LCA > NUL
GOTO UPLANTDOC

:ERR1RESMAN
ECHO RESMAN.LCA NOT UPDATED >> w95700A.LOG

:UPLANTDOC
REM *****************************
REM ** SECTION FOR LANTDOC.CNT **
REM *****************************
IF NOT EXIST LANTDOC.CN_ GOTO BADPATCH
IF NOT EXIST LANTDOC.CNT GOTO ERR1LANT
COPY LANTDOC.CNT .\W95NOSBK\LANTDOC.CNT > NUL
COPY LANTDOC.CN_ LANTDOC.CNT > NUL
ECHO LANTDOC.CNT SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPDTLTHL
COPY LANTDOC.CN_ .\INSTALL\LANTDOC.CNT > NUL
GOTO UPDTLTHL

:ERR1LANT
ECHO LANTDOC.CNT NOT UPDATED >> w95700A.LOG

:UPDTLTHL
REM *****************************
REM ** SECTION FOR LANTDOC.HLP **
REM *****************************
IF NOT EXIST LANTDOC.HL_ GOTO BADPATCH
IF NOT EXIST LANTDOC.HLP GOTO ERR1HLP
COPY LANTDOC.HLP .\W95NOSBK\LANTDOC.HLP > NUL
COPY LANTDOC.HL_ LANTDOC.HLP > NUL
ECHO LANTDOC.HLP SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPLNET_E
COPY LANTDOC.HL_ .\INSTALL\LANTDOC.HLP > NUL
GOTO UPLNET_E

:ERR1HLP
ECHO LANTDOC.HLP NOT UPDATED >> w95700A.LOG

:UPLNET_E
REM **************************
REM ** SECTION FOR LNET.EXE **
REM **************************
IF NOT EXIST LNET.EX_ GOTO BADPATCH
IF NOT EXIST LNET.EXE GOTO ERR1LNET
COPY LNET.EXE .\W95NOSBK\LNET.EXE > NUL
COPY LNET.EX_ LNET.EXE > NUL
ECHO LNET.EXE SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPLNET_H
COPY LNET.EX_ .\INSTALL\LNET.EXE > NUL
GOTO UPLNET_H

:ERR1LNET
ECHO LNET.EXE NOT UPDATED >> w95700A.LOG

:UPLNET_H
REM **************************
REM ** SECTION FOR LNET.HLP **
REM **************************
IF NOT EXIST LNET.HL_ GOTO BADPATCH
IF NOT EXIST LNET.HLP GOTO ERR2LNET
COPY LNET.HLP .\W95NOSBK\LNET.HLP > NUL
COPY LNET.HL_ LNET.HLP > NUL
ECHO LNET.HLP SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPLNET_M
COPY LNET.HL_ .\INSTALL\LNET.HLP > NUL
GOTO UPLNET_M

:ERR2LNET
ECHO LNET.HLP NOT UPDATED >> w95700A.LOG

:UPLNET_M
REM **************************
REM ** SECTION FOR LNET.MNU **
REM **************************
IF NOT EXIST LNET.MN_ GOTO BADPATCH
IF NOT EXIST LNET.MNU GOTO ERR3LNET
COPY LNET.MNU .\W95NOSBK\LNET.MNU > NUL
COPY LNET.MN_ LNET.MNU > NUL
ECHO LNET.MNU SUCCESSFULLY UPDATED . . .
IF NOT EXIST .\INSTALL\NUL GOTO UPDTMSRC
COPY LNET.MN_ .\INSTALL\LNET.MNU > NUL
GOTO UPDTMSRC

:ERR3LNET
ECHO LNET.MNU NOT UPDATED >> w95700A.LOG

:UPDTMSRC
REM *****************************
REM ** SECTION FOR MSRCI16.DLL **
REM *****************************
IF NOT EXIST MSRCI16.DL_ GOTO BADPATCH
IF NOT EXIST MSRCI16.DLL GOTO ERR1M16
COPY MSRCI16.DLL .\W95NOSBK\MSRCI16.DLL > NUL
COPY MSRCI16.DL_ MSRCI16.DLL > NUL
ECHO MSRCI16.DLL SUCCESSFULLY UPDATED . . .
GOTO UPDTMSRA

:ERR1M16
ECHO MSRCI16.DLL NOT UPDATED >> w95700A.LOG

:UPDTMSRA
REM ******************************
REM ** SECTION FOR MSRAPI32.DLL **
REM ******************************
IF NOT EXIST MSRAPI32.DL_ GOTO BADPATCH
IF NOT EXIST MSRAPI32.DLL GOTO ERR1MS32
COPY MSRAPI32.DLL .\W95NOSBK\MSRAPI32.DLL > NUL
COPY MSRAPI32.DL_ MSRAPI32.DLL > NUL
ECHO MSRAPI32.DLL SUCCESSFULLY UPDATED . . .
GOTO MDMLCA

:ERR1MS32
ECHO MSRAPI32.DLL NOT UPDATED >> w95700A.LOG

:MDMLCA
REM *******************************
REM ** SECTION FOR MDMSHARE.LCA  **
REM *******************************
IF NOT EXIST MDMSHARE.LC_ GOTO BADPATCH
IF NOT EXIST MDMSHARE.LCA GOTO ERR1MDMA
COPY MDMSHARE.LCA .\W95NOSBK\MDMSHARE.LCA > NUL
COPY MDMSHARE.LC_ MDMSHARE.LCA > NUL
ECHO MDMSHARE.LCA SUCCESSFULLY UPDATED . . .
GOTO UPTWINM

:ERR1MDMA
ECHO MDMSHARE.LCA NOT UPDATED >> w95700A.LOG

:UPTWINM
REM ********************************
REM ** SECTION FOR WINMON.EXE.HLP **
REM ********************************
IF NOT EXIST WINMON.EX_ GOTO BADPATCH
IF NOT EXIST WINMON.EXE GOTO ERR1MON
COPY WINMON.EXE .\W95NOSBK\WINMON.EXE > NUL
COPY WINMON.EX_ WINMON.EXE > NUL
ECHO WINMON.EXE SUCCESSFULLY UPDATED . . .
GOTO UPDTMSH

:ERR1MON
ECHO WINMON.EXE NOT UPDATED >> w95700A.LOG

:UPDTMSH
REM ****************************
REM ** SECTION FOR MSHARE.VXD **
REM ****************************
IF NOT EXIST MSHAR_.EXE GOTO BADPATCH
IF EXIST \INSYNC\MSHARE\NUL GOTO ERR1MXD
IF NOT EXIST %winbootdir%\SYSTEM\MSHARE.VXD GOTO ERR1MXD
COPY %winbootdir%\SYSTEM\MSHARE.VXD .\W95NOSBK\MSHARE.VXD > NUL
COPY %winbootdir%\SYSTEM\MSHARE.VXD MSHAR_.VXD > NUL
MSHAR_ INFILE=MSHAR_.VXD OUTFILE=MSHARE.VX_ > NUL
IF ERRORLEVEL 1 GOTO :ERR1MXD
COPY MSHARE.VX_ %winbootdir%\SYSTEM\MSHARE.VXD > NUL
ECHO MSHARE.VXD SUCCESSFULLY UPDATED . . .
GOTO :GATEUNST

:ERR1MXD
ECHO MSHARE.VXD NOT UPDATED >> w95700A.LOG
REM ******************************
REM ** SECTION FOR GATEUNST.BAT **
REM ** AND MSHRUNST.BAT FILES   **
REM ******************************

:GATEUNST
IF NOT EXIST GATEUNST.BA_ GOTO BADPATCH
IF NOT EXIST GATEUNST.BAT GOTO UPTGATE
COPY GATEUNST.BAT .\W95NOSBK\GATEUNST.BAT > NUL

:UPTGATE
COPY GATEUNST.BA_ GATEUNST.BAT > NUL
ECHO GATEUNST.BAT SUCCESSFULLY INSTALLED . . .
REM ***********************
REM ** MSHRUNST.BAT FILE **
REM ***********************
IF NOT EXIST MSHRUNST.BA_ GOTO BADPATCH
IF NOT EXIST MSHRUNST.BAT GOTO UPTMSHR
COPY MSHRUNST.BAT .\W95NOSBK\MSHRUNST.BAT > NUL

:UPTMSHR
COPY MSHRUNST.BA_ MSHRUNST.BAT > NUL
ECHO MSHRUNST.BAT SUCCESSFULLY INSTALLED . . .
REM *********************
REM ** WSSW32.BAT FILE **
REM *********************
IF NOT EXIST WSSW32.BA_ GOTO BADPATCH
IF NOT EXIST %winbootdir%\SYSTEM\WSSW32.BAT GOTO UPTWSSW
COPY %winbootdir%\SYSTEM\WSSW32.BAT .\W95NOSBK\WSSW32.BAT > NUL

:UPTWSSW
COPY WSSW32.BA_ %winbootdir%\SYSTEM\WSSW32.BAT > NUL
ECHO WSSW32.BAT SUCCESSFULLY INSTALLED . . .
REM **********************************************************
ECHO PATCH W95700A -- INSTALLED >> w95700A.LOG
REM **********************************************************

:CLNUP
ECHO.
ECHO CLEANING UP TEMPORARY FILES . . .
ECHO.
IF EXIST AFSD.VP_ DEL AFSD.VP_
IF EXIST AUILIB.DL_ DEL AUILIB.DL_
IF EXIST LANTDOC.CN_ DEL LANTDOC.CN_
IF EXIST LANTDOC.HL_ DEL LANTDOC.HL_
IF EXIST LNET.EX_ DEL LNET.EX_
IF EXIST LNET.HL_ DEL LNET.HL_
IF EXIST LNET.MN_ DEL LNET.MN_
IF EXIST MSRCI16.DL_ DEL MSRCI16.DL_
IF EXIST MSRAPI32.DL_ DEL MSRAPI32.DL_
IF EXIST MDMSHARE.LC_ DEL MDMSHARE.LC_
IF EXIST WINMON.EX_ DEL WINMON.EX_
IF EXIST MSHAR_.EXE DEL MSHAR_.EXE
IF EXIST MSHRUNST.BA_ DEL MSHRUNST.BA_
IF EXIST GATEUNST.BA_ DEL GATEUNST.BA_
IF EXIST WSSW32.BA_ DEL WSSW32.BA_
IF EXIST VLTSERV.VP_ DEL VLTSERV.VP_
IF EXIST VSVRSNB.VP_ DEL VSVRSNB.VP_
IF EXIST RESMAN.LC_ DEL RESMAN.LC_

REM ********************
REM ** END OF PROGRAM **
REM ********************

:SURVEY
ECHO.
ECHO *********************************************************************
ECHO *************  THE PATCH HAS BEEN SUCCESSFULLY APPLIED  *************
ECHO *********************************************************************
ECHO *********************************************************************
ECHO *  To provide feedback, please fill out and return the SURVEY.TXT   *
ECHO *  form that was included in this file.                             *
ECHO *********************************************************************
ECHO.
GOTO EXIT

:NOLANT7
REM  *****************************************************
REM  ** SECTION FOR NO ATILA.VPE OR NO LNET32.EXE FOUND **
REM  *****************************************************
CLS
ECHO.
ECHO *********************************************************************
ECHO *****************************  ERROR  *******************************
ECHO *    Some necessary files of LANtastic v7.0 were not found.         *
ECHO *    Make sure that you run NEW95NOS.BAT from the directory where   *
ECHO *    LANtastic v7.0 was installed (C:\LANTASTI\WIN95 by default).   *
ECHO *********************************************************************
ECHO *********************************************************************
GOTO EXIT

:BADPATCH
ECHO *********************************************************************
ECHO *                                                                   *
ECHO *  ## WARNING ##                                                    *
ECHO *  The w95700A patch you are applying is incomplete. Please either   *
ECHO *  run w95700A.EXE again or download w95700A.EXE again and then run   *
ECHO *  w95700A.EXE to extract the files.                                 *
ECHO *                                                                   *
ECHO *********************************************************************
ECHO.

:EXIT
